nxt.blockchain

## Class ChildBlockFxtTransactionType

- java.lang.Object
- - nxt.blockchain.TransactionType
  - - nxt.blockchain.FxtTransactionType
    - - nxt.blockchain.ChildBlockFxtTransactionType

-     public final class ChildBlockFxtTransactionType
      extends FxtTransactionType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ChildBlockFxtTransactionType` | `INSTANCE`

    - ### Fields inherited from class nxt.blockchain.FxtTransactionType

      `SUBTYPE_ACCOUNT_CONTROL_EFFECTIVE_BALANCE_LEASING, SUBTYPE_CHILDCHAIN_BLOCK, SUBTYPE_PAYMENT_ORDINARY_PAYMENT, TYPE_ACCOUNT_CONTROL, TYPE_CHILDCHAIN_BLOCK, TYPE_COIN_EXCHANGE, TYPE_PAYMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChildBlockFxtTransactionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyAttachment(FxtTransactionImpl transaction, Account senderAccount, Account recipientAccount)`
    `protected boolean` | `applyAttachmentUnconfirmed(FxtTransactionImpl transaction, Account senderAccount)`
    `boolean` | `canHaveRecipient()`
    `Fee` | `getBaselineFee(Transaction transaction)`
    `AccountLedger.LedgerEvent` | `getLedgerEvent()`
    `java.lang.String` | `getName()`
    `byte` | `getSubtype()`
    `byte` | `getType()`
    `boolean` | `isDuplicate(Transaction transaction, java.util.Map<TransactionType,java.util.Map<java.lang.String,java.lang.Integer>> duplicates)`
    `Attachment.AbstractAttachment` | `parseAttachment(java.nio.ByteBuffer buffer)`
    `Attachment.AbstractAttachment` | `parseAttachment(org.json.simple.JSONObject attachmentData)`
    `protected void` | `undoAttachmentUnconfirmed(FxtTransactionImpl transaction, Account senderAccount)`
    `protected void` | `validateAttachment(FxtTransactionImpl transaction)`

    - ### Methods inherited from class nxt.blockchain.FxtTransactionType

      `apply, applyAttachment, applyAttachmentUnconfirmed, applyUnconfirmed, findTransactionType, isGlobal, isPhasingSafe, undoAttachmentUnconfirmed, undoUnconfirmed, validateAttachment, validateId, validateId`

    - ### Methods inherited from class nxt.blockchain.TransactionType

      `getBaselineFeeHeight, getNextFee, getNextFeeHeight, isBlockDuplicate, isDuplicate, isDuplicate, isPhasable, isPruned, isUnconfirmedDuplicate, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ChildBlockFxtTransactionType INSTANCE

  - ### Constructor Detail

    - #### ChildBlockFxtTransactionType

          public ChildBlockFxtTransactionType()

  - ### Method Detail

    - #### getType

          public byte getType()

      Specified by:
        `getType` in class `TransactionType`

    - #### getSubtype

          public byte getSubtype()

      Specified by:
        `getSubtype` in class `TransactionType`

    - #### getLedgerEvent

          public AccountLedger.LedgerEvent getLedgerEvent()

      Specified by:
        `getLedgerEvent` in class `TransactionType`

    - #### parseAttachment

          public Attachment.AbstractAttachment parseAttachment(java.nio.ByteBuffer buffer)

      Specified by:
        `parseAttachment` in class `TransactionType`

    - #### parseAttachment

          public Attachment.AbstractAttachment parseAttachment(org.json.simple.JSONObject attachmentData)
                                                        throws NxtException.NotValidException

      Specified by:
        `parseAttachment` in class `TransactionType`
      Throws:
        `NxtException.NotValidException`

    - #### validateAttachment

          protected void validateAttachment(FxtTransactionImpl transaction)
                                     throws NxtException.ValidationException

      Specified by:
        `validateAttachment` in class `FxtTransactionType`
      Throws:
        `NxtException.ValidationException`

    - #### applyAttachmentUnconfirmed

          protected boolean applyAttachmentUnconfirmed(FxtTransactionImpl transaction,
                                                       Account senderAccount)

      Specified by:
        `applyAttachmentUnconfirmed` in class `FxtTransactionType`

    - #### applyAttachment

          protected void applyAttachment(FxtTransactionImpl transaction,
                                         Account senderAccount,
                                         Account recipientAccount)

      Specified by:
        `applyAttachment` in class `FxtTransactionType`

    - #### undoAttachmentUnconfirmed

          protected void undoAttachmentUnconfirmed(FxtTransactionImpl transaction,
                                                   Account senderAccount)

      Specified by:
        `undoAttachmentUnconfirmed` in class `FxtTransactionType`

    - #### canHaveRecipient

          public boolean canHaveRecipient()

      Specified by:
        `canHaveRecipient` in class `TransactionType`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `TransactionType`

    - #### getBaselineFee

          public Fee getBaselineFee(Transaction transaction)

      Overrides:
        `getBaselineFee` in class `FxtTransactionType`

    - #### isDuplicate

          public boolean isDuplicate(Transaction transaction,
                                     java.util.Map<TransactionType,java.util.Map<java.lang.String,java.lang.Integer>> duplicates)

      Overrides:
        `isDuplicate` in class `TransactionType`